package com.liquidnet.service.goblin.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.manage.vo.HelpValueVo;
import com.liquidnet.service.goblin.dto.vo.GoblinGoodsAnticipateHelpVo;

import java.util.List;


/**
 * <p>
 * 预约表 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-04-07
 */
public interface IGoblinGoodsAnticipateService {

    /**
     * 用户预约
     */
    ResponseDto<Boolean> userAbout(String skuId);


    ResponseDto<Boolean> selectAnticipate(String skuId);

    ResponseDto<String> share(String skuId);

    ResponseDto<Boolean> help(String sid);

    ResponseDto<HelpValueVo> getHelpValue(String sid);

    ResponseDto<String> getTurnOnHelp(String skuId);

}
